package com.inkasso.factoring.creditmanagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.adapter.bean.BaseBean;

import java.math.BigDecimal;

/**
 * <p>
 * 供应商企业信息 历史表
 * </p>
 *
 * @author liutao
 * @since 2023-12-01
 */
@TableName("c_supplier_info_history")
public class CSupplierInfoHistory extends BaseBean {

    private static final long serialVersionUID = 1L;

    /**
     * 企业信息历史id
     */
    @TableField("c_enterprise_history_id")
    private Long cEnterpriseHistoryId;

    /**
     * 本次合作品类是否为建工行业
     */
    @TableField("construction_industry")
    private Integer constructionIndustry;

    /**
     * c端用户表id
     */
    @TableField("sys_user_id")
    private Long sysUserId;

    /**
     * 企业准入状态
     */
    @TableField("status")
    private String status;

    /**
     * 担保企业 企业信息历史id
     */
    @TableField("guarantee_enterprise_history_id")
    private Long guaranteeEnterpriseHistoryId;

    /**
     * 收入评级
     */
    @TableField("revenue_rating")
    private String revenueRating;

    /**
     * 是否准入
     */
    @TableField("admitted")
    private String admitted;

    /**
     * 得分
     */
    @TableField("score")
    private BigDecimal score;

    /**
     * 授信额度
     */
    @TableField("credit_limit")
    private BigDecimal creditLimit;


    /**
     * 供应商红否原因
     */
    @TableField("supplier_errors")
    private String supplierErrors;

    /**
     * 核心企业红否原因
     */
    @TableField("guarantee_enterprise_errors")
    private String guaranteeEnterpriseErrors;

    public String getSupplierErrors() {
        return supplierErrors;
    }

    public void setSupplierErrors(String supplierErrors) {
        this.supplierErrors = supplierErrors;
    }

    public String getGuaranteeEnterpriseErrors() {
        return guaranteeEnterpriseErrors;
    }

    public void setGuaranteeEnterpriseErrors(String guaranteeEnterpriseErrors) {
        this.guaranteeEnterpriseErrors = guaranteeEnterpriseErrors;
    }

    public String getRevenueRating() {
        return revenueRating;
    }

    public void setRevenueRating(String revenueRating) {
        this.revenueRating = revenueRating;
    }

    public String getAdmitted() {
        return admitted;
    }

    public void setAdmitted(String admitted) {
        this.admitted = admitted;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public BigDecimal getCreditLimit() {
        return creditLimit;
    }

    public void setCreditLimit(BigDecimal creditLimit) {
        this.creditLimit = creditLimit;
    }

    public Long getcEnterpriseHistoryId() {
        return cEnterpriseHistoryId;
    }

    public void setcEnterpriseHistoryId(Long cEnterpriseHistoryId) {
        this.cEnterpriseHistoryId = cEnterpriseHistoryId;
    }
    public Integer getConstructionIndustry() {
        return constructionIndustry;
    }

    public void setConstructionIndustry(Integer constructionIndustry) {
        this.constructionIndustry = constructionIndustry;
    }
    public Long getSysUserId() {
        return sysUserId;
    }

    public void setSysUserId(Long sysUserId) {
        this.sysUserId = sysUserId;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    public Long getGuaranteeEnterpriseHistoryId() {
        return guaranteeEnterpriseHistoryId;
    }

    public void setGuaranteeEnterpriseHistoryId(Long guaranteeEnterpriseHistoryId) {
        this.guaranteeEnterpriseHistoryId = guaranteeEnterpriseHistoryId;
    }

}
